/// <reference types="node" />
import { LoggingBase, Adapter } from "@hibas123/logging";
export default class EpubParser {
    private file;
    private loggingAdapters?;
    logging: LoggingBase;
    constructor(file: string, loggingAdapters?: Adapter | Adapter[]);
    parse(): Promise<{
        id: any;
        title: any;
        creator: any;
        summary: any;
        getFile: (href: string) => Promise<Buffer>;
        getFileByID: (id: string) => {
            getData: () => Promise<Buffer>;
            type: string;
            href: string;
        };
        chapters: {
            title: string;
            content: string;
            getFile: (url: string) => Promise<Buffer>;
        }[];
    }>;
}
